package com.kingdee.eas.custom.facade.housrapproval;

import com.kingdee.bos.framework.ejb.EJBRemoteException;
import com.kingdee.bos.util.BOSObjectType;
import java.rmi.RemoteException;
import com.kingdee.bos.framework.AbstractBizCtrl;
import com.kingdee.bos.orm.template.ORMObject;

import com.kingdee.bos.BOSException;
import com.kingdee.bos.util.*;
import com.kingdee.eas.custom.facade.housrapproval.*;
import com.kingdee.bos.Context;
import com.kingdee.bos.framework.*;

public class HourapprovalFacade extends AbstractBizCtrl implements IHourapprovalFacade
{
    public HourapprovalFacade()
    {
        super();
        registerInterface(IHourapprovalFacade.class, this);
    }
    public HourapprovalFacade(Context ctx)
    {
        super(ctx);
        registerInterface(IHourapprovalFacade.class, this);
    }
    public BOSObjectType getType()
    {
        return new BOSObjectType("C642C5DB");
    }
    private HourapprovalFacadeController getController() throws BOSException
    {
        return (HourapprovalFacadeController)getBizController();
    }
    /**
     *¹¤Ê±Ìá±¨-User defined method
     */
    public void _hourApproval() throws BOSException
    {
        try {
            getController()._hourApproval(getContext());
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
}